<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" tests="3" skipped="0" failures="0" errors="0" timestamp="2026-02-24T13:44:29.484Z" hostname="devserver3" time="7.079">
  <properties/>
  <testcase name="givenOpdsFeed_whenLoadOpdsFeed_thenFlowWillLoadIt[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.95"/>
  <testcase name="givenOpdsFeedLoaded_whenLoadedAgain_thenDataIsLoadedAndNetworkResponseIsNotModified[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.085"/>
  <testcase name="givenOpdsPublication_whenLoadedThenWillEmitFlow[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.044"/>
  <system-out><![CDATA[port = 41787
17:44:29,525 |-INFO in ch.qos.logback.classic.LoggerContext[default] - This is logback-classic version 1.5.18
17:44:29,525 |-INFO in ch.qos.logback.classic.util.ContextInitializer@c4ed84 - No custom configurators were discovered as a service.
17:44:29,525 |-INFO in ch.qos.logback.classic.util.ContextInitializer@c4ed84 - Trying to configure with ch.qos.logback.classic.joran.SerializedModelConfigurator
17:44:29,526 |-INFO in ch.qos.logback.classic.util.ContextInitializer@c4ed84 - Constructed configurator of type class ch.qos.logback.classic.joran.SerializedModelConfigurator
17:44:29,528 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.scmo]
17:44:29,528 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.scmo]
17:44:29,532 |-INFO in ch.qos.logback.classic.util.ContextInitializer@c4ed84 - ch.qos.logback.classic.joran.SerializedModelConfigurator.configure() call lasted 3 milliseconds. ExecutionStatus=INVOKE_NEXT_IF_ANY
17:44:29,532 |-INFO in ch.qos.logback.classic.util.ContextInitializer@c4ed84 - Trying to configure with ch.qos.logback.classic.util.DefaultJoranConfigurator
17:44:29,533 |-INFO in ch.qos.logback.classic.util.ContextInitializer@c4ed84 - Constructed configurator of type class ch.qos.logback.classic.util.DefaultJoranConfigurator
17:44:29,533 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
17:44:29,535 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [jar:file:/home/jenkins/.jenkins/workspace/invite-family-person/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
17:44:29,535 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@189aa67a - Resource [logback.xml] occurs multiple times on the classpath.
17:44:29,536 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@189aa67a - Resource [logback.xml] occurs at [file:/home/jenkins/.jenkins/workspace/invite-family-person/respect-datalayer-repository/build/processedResources/jvm/test/logback.xml]
17:44:29,536 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@189aa67a - Resource [logback.xml] occurs at [jar:file:/home/jenkins/.jenkins/workspace/invite-family-person/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
17:44:29,539 |-INFO in ConfigurationWatchList(mainURL=jar:file:/home/jenkins/.jenkins/workspace/invite-family-person/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml, fileWatchList={}, urlWatchList=[}) - URL [jar:file:/home/jenkins/.jenkins/workspace/invite-family-person/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml] is not of type file
17:44:29,587 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@3b00856b - value "./log/" substituted for "${logs_dir:-./log/}"
17:44:29,587 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - Processing appender named [FILE]
17:44:29,588 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - About to instantiate appender of type [ch.qos.logback.core.rolling.RollingFileAppender]
17:44:29,591 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@3b00856b - value "./log//respect-server.log" substituted for "${LOG_DIR}/respect-server.log"
17:44:29,592 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@3b00856b - value "./log//respect-server.%d{yyyy-MM-dd}.%i.log" substituted for "${LOG_DIR}/respect-server.%d{yyyy-MM-dd}.%i.log"
17:44:29,597 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@806813022 - No compression will be used
17:44:29,605 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@806813022 - Will use the pattern ./log//respect-server.%d{yyyy-MM-dd}.%i.log for the active file
17:44:29,605 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@35d08e6c - SizeAndTimeBasedFNATP class was renamed as SizeAndTimeBasedFileNamingAndTriggeringPolicy.
17:44:29,606 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@35d08e6c - The date pattern is 'yyyy-MM-dd' from file name pattern './log//respect-server.%d{yyyy-MM-dd}.%i.log'.
17:44:29,606 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@35d08e6c - Roll-over at midnight.
17:44:29,606 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@35d08e6c - Setting initial period to 2026-02-23T13:44:47.586Z
17:44:29,606 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@35d08e6c - Direct use of either SizeAndTimeBasedFNATP or SizeAndTimeBasedFileNamingAndTriggeringPolicy 
17:44:29,606 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@35d08e6c - is deprecated. Please use SizeAndTimeBasedRollingPolicy instead.
17:44:29,606 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@35d08e6c - For more information see https://logback.qos.ch/manual/appenders.html#SizeAndTimeBasedRollingPolicy
17:44:29,608 |-INFO in ch.qos.logback.core.model.processor.ImplicitModelHandler - Assuming default type [ch.qos.logback.classic.encoder.PatternLayoutEncoder] for [encoder] property
17:44:29,620 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Active log file name: ./log//respect-server.log
17:44:29,622 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Setting currentFileLength to 47424 for ./log/respect-server.log
17:44:29,622 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - File property is set to [./log//respect-server.log]
17:44:29,623 |-INFO in ch.qos.logback.classic.model.processor.RootLoggerModelHandler - Setting level of ROOT logger to TRACE
17:44:29,623 |-INFO in ch.qos.logback.core.model.processor.AppenderRefModelHandler - Attaching appender named [FILE] to Logger[ROOT]
17:44:29,623 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [org.eclipse.jetty] to INFO
17:44:29,623 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [io.netty] to INFO
17:44:29,623 |-INFO in ch.qos.logback.core.model.processor.DefaultProcessor@53d102a2 - End of configuration.
17:44:29,624 |-INFO in ch.qos.logback.classic.joran.JoranConfigurator@6c45ee6e - Registering current configuration as safe fallback point
17:44:29,624 |-INFO in ch.qos.logback.classic.util.ContextInitializer@c4ed84 - ch.qos.logback.classic.util.DefaultJoranConfigurator.configure() call lasted 91 milliseconds. ExecutionStatus=DO_NOT_INVOKE_NEXT_IF_ANY

]]></system-out>
  <system-err><![CDATA[]]></system-err>
</testsuite>
